Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IVerificationTypeInfo

public interface IVerificationTypeInfo

Description of a verification type info as described in the JVM specifications. This interface may be implemented by clients.

Since:
  3.0

Method Summary
`char[]` | `getClassTypeName()` Answer back the name of the class type referenced by the index in the constant pool as described in the JVM specifications.
`int` | `getConstantPoolIndex()` Answer back the constant pool index of this verification type info as described in the JVM specifications.
`int` | `getOffset()` Answer back the offset of this verification type info as described in the JVM specifications.
`int` | `getTag()` Answer back the tag of this verification type info as described in the JVM specifications.

Method Detail

### getTag

    public int getTag()

  Answer back the tag of this verification type info as described in the JVM specifications.
  - 0 for the top type
  - 1 for the int type
  - 2 for the float type
  - 3 for the double type
  - 4 for the long type
  - 5 for the null type
  - 6 for the uninitialized this type
  - 7 for the object type
  - 8 for the uninitialized offset type

  Returns:
    the tag of this verification type info as described in the JVM specifications
  Since:
    3.0

### getOffset

    public int getOffset()

  Answer back the offset of this verification type info as described in the JVM specifications. This makes sense only if the tag is 8.

  Returns:
    the offset of this verification type info as described in the JVM specifications
  Since:
    3.0

### getConstantPoolIndex

    public int getConstantPoolIndex()

  Answer back the constant pool index of this verification type info as described in the JVM specifications. This makes sense only if the tag is 7.

  Returns:
    the constant pool index of this verification type info as described in the JVM specifications
  Since:
    3.0

### getClassTypeName

    public char[] getClassTypeName()

  Answer back the name of the class type referenced by the index in the constant pool as described in the JVM specifications. This makes sense only if the tag is 7.

  Returns:
    the name of the class type referenced by the index in the constant pool as described in the JVM specifications
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.